sayren Docs
상품 문의

상품 문의 답변 등록

POST
/v1/inquiries/{inquiryId}/answer

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

inquiryId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
content*string
Length1 <= length <= 2000

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/v1/inquiries/string/answer' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
{  "meta": {    "status": 201,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "inquiryId": "string",    "productId": "string",    "productName": "string",    "orderItemId": "string",    "category": "PRODUCT",    "content": "string",    "secret": true,    "writerMaskedName": "string",    "answered": true,    "answer": {      "content": "string",      "answeredAt": "string",      "modifiedCount": 1    },    "createdAt": "string"  },  "error": null}